# $Revision: 1.22 $, $Date: 2012/01/31 11:55:30 $
Summary:	Common Address Redundancy Protocol (CARP) for Unix
Summary(pl.UTF-8):	CARP (Common Address Redundancy Protocol) dla Uniksa
Name:		ucarp
Version:	1.5.2
Release:	3
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.ucarp.org/pub/ucarp/%{name}-%{version}.tar.gz
# Source0-md5:	e3caa733316a32c09e5d3817617e9145
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.config.template
Source4:	%{name}.tmpfiles
URL:		http://www.ucarp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UCARP allows a couple of hosts to share common virtual IP addresses in
order to provide automatic failover. It is a portable userland
implementation of the secure and patent-free Common Address Redundancy
Protocol (CARP, OpenBSD's alternative to the VRRP).

Strong points of the CARP protocol are: very low overhead,
cryptographically signed messages, interoperability between different
operating systems and no need for any dedicated extra network link
between redundant hosts.

%description -l pl.UTF-8
UCARP pozwala kilku hostom na dzielenie wspólnych wirtualnych adresów
IP w celu automatycznego przejmowania w przypadku awarii. Jest to
przenośna implementacja w przestrzeni użytkownika bezpiecznego i
wolnego od patentów protokołu CARP (Common Address Redundancy Protocol
- alternatywy OpenBSD dla VRRP).

Silne punkty protokołu CARP to: bardzo mały narzut, kryptograficznie
podpisywanie komunikaty, współdziałanie między różnymi systemami
operacyjnymi i brak potrzeby dedykowanego dodatkowego połączenia
sieciowego między nadmiarowymi hostami.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_varrun}/%{name} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.template
install -p examples/linux/vip-down.sh $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -p examples/linux/vip-up.sh $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ucarp
%service ucarp restart "UCARP"

%preun
if [ "$1" = "0" ]; then
	%service ucarp stop
	/sbin/chkconfig --del ucarp
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/config.template
%attr(750,root,root) %{_sysconfdir}/%{name}/vip-down.sh
%attr(750,root,root) %{_sysconfdir}/%{name}/vip-up.sh
/usr/lib/tmpfiles.d/%{name}.conf
%{_varrun}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ucarp.spec,v $
Revision 1.22  2012/01/31 11:55:30  baggins
- release 3

Revision 1.21  2012/01/31 11:32:20  baggins
- added tmpfiles config for systemd

Revision 1.20  2011/03/09 17:17:35  arekm
- rel 2; files fixed

Revision 1.19  2010/07/07 20:37:41  matik
- upped to 1.5.2
- rel. 1

Revision 1.18  2010/05/14 02:02:24  sparky
- BR: gettext-devel

Revision 1.17  2010/05/07 09:24:18  matik
- files fixed (?)

Revision 1.16  2010/04/21 17:08:23  arekm
- release 3

Revision 1.15  2010/04/03 17:31:21  glen
- release 2

Revision 1.14  2010/03/31 06:52:56  glen
- adapter
- we use tabs for indenting
- /etc/{rc.d/init.d,sysconfig} may not be macroized with sysconfdir
- files is a mess, so add blocker as the intention is not clear to fix

Revision 1.13  2010/03/30 22:06:44  matik
- upped to 1.5.1
- created initscript and configuration based on OpenVPN
- rel 1
- should not break current usage

Revision 1.12  2009/05/28 21:36:34  areq
- 1.5.1

Revision 1.11  2008/08/11 15:43:14  shadzik
- use own libtool
- rel 2

Revision 1.10  2008/08/11 14:27:07  areq
- 1.5

Revision 1.9  2008/03/18 16:36:06  areq
- add yandex-multicast-handlers.patch

Revision 1.8  2008-03-13 23:02:47  areq
- 1.4

Revision 1.7  2007-10-09 19:30:47  qboosh
- unified

Revision 1.6  2007/10/02 17:23:16  darekr
- it's patch number 0

Revision 1.5  2007/10/02 17:21:16  darekr
- fix build - added patch0

Revision 1.4  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.2  2004/10/16 17:13:23  qboosh
- pl, longer desc from URL

Revision 1.1  2004/10/12 00:13:42  adasi
- initial PLD release
- not tested
- needs cosmetics
